# Class Filesystem.Stat

Description

  Describes the stat of a file

Variable isblk

  ``bool` Filesystem.Stat.isblk`

Description
  fifo

    Is the file a FIFO?

  chr

    Is the file a character device?

  dir

    Is the file (?) a directory?

  blk

    Is the file a block device?

  reg

    Is the file a regular file?

  lnk

    Is the file a link to some other file or directory?

  sock

    Is the file a socket?

  door

    FIXME: Document this function.

Returns

  1 if the file is of a specific type 0 if the file is not.

See also

  [set_type]

Note

  Read only

Variable ischr

  ``bool` Filesystem.Stat.ischr`

Description
  fifo

    Is the file a FIFO?

  chr

    Is the file a character device?

  dir

    Is the file (?) a directory?

  blk

    Is the file a block device?

  reg

    Is the file a regular file?

  lnk

    Is the file a link to some other file or directory?

  sock

    Is the file a socket?

  door

    FIXME: Document this function.

Returns

  1 if the file is of a specific type 0 if the file is not.

See also

  [set_type]

Note

  Read only

Variable isdir

  ``bool` Filesystem.Stat.isdir`

Description
  fifo

    Is the file a FIFO?

  chr

    Is the file a character device?

  dir

    Is the file (?) a directory?

  blk

    Is the file a block device?

  reg

    Is the file a regular file?

  lnk

    Is the file a link to some other file or directory?

  sock

    Is the file a socket?

  door

    FIXME: Document this function.

Returns

  1 if the file is of a specific type 0 if the file is not.

See also

  [set_type]

Note

  Read only

Variable isdoor

  ``bool` Filesystem.Stat.isdoor`

Description
  fifo

    Is the file a FIFO?

  chr

    Is the file a character device?

  dir

    Is the file (?) a directory?

  blk

    Is the file a block device?

  reg

    Is the file a regular file?

  lnk

    Is the file a link to some other file or directory?

  sock

    Is the file a socket?

  door

    FIXME: Document this function.

Returns

  1 if the file is of a specific type 0 if the file is not.

See also

  [set_type]

Note

  Read only

Variable isfifo

  ``bool` Filesystem.Stat.isfifo`

Description
  fifo

    Is the file a FIFO?

  chr

    Is the file a character device?

  dir

    Is the file (?) a directory?

  blk

    Is the file a block device?

  reg

    Is the file a regular file?

  lnk

    Is the file a link to some other file or directory?

  sock

    Is the file a socket?

  door

    FIXME: Document this function.

Returns

  1 if the file is of a specific type 0 if the file is not.

See also

  [set_type]

Note

  Read only

Variable islnk

  ``bool` Filesystem.Stat.islnk`

Description
  fifo

    Is the file a FIFO?

  chr

    Is the file a character device?

  dir

    Is the file (?) a directory?

  blk

    Is the file a block device?

  reg

    Is the file a regular file?

  lnk

    Is the file a link to some other file or directory?

  sock

    Is the file a socket?

  door

    FIXME: Document this function.

Returns

  1 if the file is of a specific type 0 if the file is not.

See also

  [set_type]

Note

  Read only

Variable isreg

  ``bool` Filesystem.Stat.isreg`

Description
  fifo

    Is the file a FIFO?

  chr

    Is the file a character device?

  dir

    Is the file (?) a directory?

  blk

    Is the file a block device?

  reg

    Is the file a regular file?

  lnk

    Is the file a link to some other file or directory?

  sock

    Is the file a socket?

  door

    FIXME: Document this function.

Returns

  1 if the file is of a specific type 0 if the file is not.

See also

  [set_type]

Note

  Read only

Variable issock

  ``bool` Filesystem.Stat.issock`

Description
  fifo

    Is the file a FIFO?

  chr

    Is the file a character device?

  dir

    Is the file (?) a directory?

  blk

    Is the file a block device?

  reg

    Is the file a regular file?

  lnk

    Is the file a link to some other file or directory?

  sock

    Is the file a socket?

  door

    FIXME: Document this function.

Returns

  1 if the file is of a specific type 0 if the file is not.

See also

  [set_type]

Note

  Read only